package ics332.rc.common;

public class DecrementingThread extends Thread {
	private AbstractCounter counter;
	private int nbIterations;

	public DecrementingThread(AbstractCounter counter, int nbIterations) {
		this.counter = counter;
		this.nbIterations = nbIterations;
	}
	
	@Override
	public void run() {
		while (this.nbIterations >= 0) {
			this.counter.decrement();
			this.nbIterations--;
		}
	}
}
