package ics332.rc.common;

public abstract class AbstractCounter {
	protected int counterValue;
	protected boolean debug;
	
	public AbstractCounter(int initialCounterValue, boolean debug) {
		this.counterValue = initialCounterValue;
		this.debug = debug;
	}
	public int getCounterValue() {
		return this.counterValue;
	}
	
	public abstract void increment();
	public abstract void decrement();
}
